function y=calpha( x )
%% usage:  y=calpha( x )
%% 
%% Create transparent image from grayscale source image.
%% Alpha is set to 1-grayvalue, 
%% Gray is set to black or white.
	r = imagetomatrix( x, "red" );
	ra = 255-r;
	r  = 255*(~(r<255));
	y = matrixtoimage( [r,r,r] );
	matrixtoimage( ra, "alpha", y );
end
