function y=cross(a,b)
%% usage: y=cross(a,b)
%% Crossproduct of 3d-vectors a and b.
%% <pre>Example:
%% >> a=[1 0 0];b=[0 1 0];
%% >> cross(a,b)
%% y = [ 0  0  1 ]</pre>

	y=[a(2)*b(3)-a(3)*b(2),a(3)*b(1)-a(1)*b(3),a(1)*b(2)-a(2)*b(1)];
